%%%%%%%%%%%%%%%%%%%%%%% file template.tex %%%%%%%%%%%%%%%%%%%%%%%%%
%
% This is a general template file for the LaTeX package SVJour3
% for Springer journals.          Springer Heidelberg 2010/09/16
%
% Copy it to a new file with a new name and use it as the basis
% for your article. Delete % signs as needed.
%
% This template includes a few options for different layouts and
% content for various journals. Please consult a previous issue of
% your journal as needed.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% First comes an example EPS file -- just ignore it and
% proceed on the \documentclass line
% your LaTeX will extract the file if required
\begin{filecontents*}{example.eps}
%!PS-Adobe-3.0 EPSF-3.0
%%BoundingBox: 19 19 221 221
%%CreationDate: Mon Sep 29 1997
%%Creator: programmed by hand (JK)
%%EndComments
gsave
newpath
  20 20 moveto
  20 220 lineto
  220 220 lineto
  220 20 lineto
closepath
2 setlinewidth
gsave
  .4 setgray fill
grestore
stroke
grestore
\end{filecontents*}

\RequirePackage{fix-cm}
%
%\documentclass{svjour3}                     % onecolumn (standard format)
%\documentclass[smallcondensed]{svjour3}     % onecolumn (ditto)
%\documentclass[smallextended]{svjour3}      % onecolumn (second format)
\documentclass[twocolumn]{svjour3}           % twocolumn
%
\smartqed  % flush right qed marks, e.g. at end of proof
%
\usepackage{graphicx}
\usepackage{booktabs}
\usepackage{cite}
\usepackage{amsmath,amssymb,amsfonts}
\usepackage{algorithmic}
\usepackage{textcomp}
\usepackage{paralist}
\usepackage{xspace}
\usepackage{multirow}
\usepackage{stfloats}
\usepackage[normalem]{ulem}
\usepackage{flushend}
\usepackage{color, soul}

%\newcommand{\EEHPCWG}{EE~HPC~WG\xspace}
%\newcommand{\EPAJSRM}{EPA~JSRM\xspace}
\newcommand{\EEHPCWG}{EE HPC WG\xspace}
\newcommand{\EPAJSRM}{EPA JSRM\xspace}

\journalname{Cluster Computing}

\begin{document}

\title{Techniques and Trends in Energy and Power Aware Job Scheduling and Resource Management}

\author{Gregory A. Koenig \and
        Matthias Maiterth \and
        Siddhartha Jana   \and
        Natalie Bates     \and
        Kevin Pedretti    \and
        Andrea Borghesi   \and
        Andrea Bartolini}
        %% \and
        %% Milos Puzovic     \and
        %% David Montoya}

\institute{Gregory A. Koenig \at
           EE~HPC~WG \\
           \email{koenig@acm.org} \and
           Matthias Maiterth \at
           Intel Corporation / LMU~Munich \\
           \email{matthias.maiterth@intel.com} \and
           Siddhartha Jana \at
           Intel Corporation \\
           \email{siddhartha.jana@intel.com} \and
           Natalie Bates \at
           EE~HPC~WG \\
           \email{natalie.jean.bates@gmail.com} \and
           Kevin Pedretti \at
           Sandia National Laboratories \\
           \email{ktpedre@sandia.gov} \and
           Andrea Borghesi \at
           University of Bologna \\
           \email{andrea.borghesi3@unibo.it} \and
           Andrea Bartolini \at
           University of Bologna \\
           \email{a.bartolini@unibo.it}
           %% \and
           %% Milos Puzovic \at
           %% The Hartree Centre \\
           %% {[Now at: mindtrace.ai]} \and
           %% David Montoya \at
           %% Los Alamos National Laboratory \\
           %% \email{dmont@lanl.gov}
}

% The correct dates will be entered by the editor
\date{Received: March 15, 2019 / Accepted: March 15, 2019}

\maketitle

\begin{abstract}
\input{sections/abstract}
\keywords{power \and energy \and performance \and power-aware \and computing \and scheduling}
\end{abstract}

\section{Introduction}
\label{sec:introduction}
\input{sections/introduction}

\section{Job Schedulers and Resource Managers}
\label{sec:job_schedulers_and_resource_managers}
\input{sections/job_schedulers_and_resource_managers}

\section{Survey Summary}
\label{sec:survey_summary}
\input{sections/survey_summary}

\section{Survey Analysis}
\label{sec:survey_analysis}
\input{sections/survey_analysis}

\section{Related Work}
\label{sec:related_work}
\input{sections/related_work}

\section{Future Directions}
\label{sec:future}
\input{sections/future_directions}

\section{Recommendations and Conclusions}
\label{sec:recommendations}
\input{sections/recommendations}

\begin{acknowledgements}
The \EEHPCWG \EPAJSRM team thanks Milos Puzovic formerly at the
Hartree Centre and now at Mindtrace.ai and David Montoya at
Los Alamos National Laboratory for participating in earlier
states of this project.

The \EEHPCWG \EPAJSRM team thanks the participating HPC Centers for
providing us with their time and knowledge for the interviews and
reviews thereof.  We would especially like to thank Keiji Yamamoto,
Fumiyoshi Shoji, Kazuo Minami, Toshio Endo, Francis Belot, Gilles
Wiber, Matthieu Hautreux, Jean-Marc Ducos, Bilel Hadri, Torsten Wilde,
Michael Rudgyard, Neil Morgan, Stephen Hill, James Laros, Josip
Loncaric, Carlo Cavazzoni, Toshihiro Hanawa, Masaaki Kondo and all
others participating in the interviews.

Sandia National Laboratories is a multimission laboratory managed and operated
by National Technology and Engineering Solutions of Sandia, LLC., a wholly
owned subsidiary of Honeywell International, Inc., for the U.S. Department of
Energy's National Nuclear Security Administration under contract DE-NA0003525.
\end{acknowledgements}

% BibTeX users please use one of
%\bibliographystyle{spbasic}      % basic style, author-year citations
\bibliographystyle{spmpsci}       % mathematics and physical sciences
%\bibliographystyle{spphys}       % APS-like style for physics
\bibliography{references}         % name your BibTeX data base

\end{document}
